View Issue Details

IDProjectCategoryView StatusLast Update
0003500unrealircdpublic2016-11-10 09:36
ReportersanniassinAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindows XPOS Version2600 (SP2)
Product Version3.2.7 
Target VersionFixed in Version4.0.0 
Summary0003500: unset modes on +a and +q users
DescriptionIf oper with can_override have only +o on channel, he cant set -v/h/o on channel admins and owners (cause usual message like "o sanni|test is a channel admin"), but can set -a or -q, also if oper have only +h, he can only devoice protected users (and it even not cause OperOverride notice) and only if oper have +v or nothing all works fine
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-08-08 16:25

administrator   ~0018606

perhaps check if this issue still exists in 3.4.x

syzop

2016-11-10 09:36

administrator   ~0019503

Issue does not occur on 4.x.

Issue History

Date Modified Username Field Change
2007-08-04 16:36 sanniassin New Issue
2015-08-08 16:25 syzop Note Added: 0018606
2016-11-10 09:36 syzop Assigned To => syzop
2016-11-10 09:36 syzop Status new => closed
2016-11-10 09:36 syzop Resolution open => fixed
2016-11-10 09:36 syzop Fixed in Version => 4.0.0
2016-11-10 09:36 syzop Note Added: 0019503